<span *ngIf="title">
  <h2 mat-dialog-title class="confirm-title"> {{title}}</h2>
  <mat-divider></mat-divider>
</span>
<div mat-dialog-content>
  <span *ngIf="primaryMessage">
    <p [innerHTML]="primaryMessage | noSanitize"></p>
    <!-- <p>{{primaryMessage}}</p> -->
  </span>
  <span *ngIf="secondaryMessage">
    <p [innerHTML]="secondaryMessage | noSanitize"></p>
    <!-- <p>{{secondaryMessage}}</p> -->
  </span>
</div>
<mat-divider></mat-divider>
<div mat-dialog-actions>
  <span class="confirm-button" style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
    <span *ngIf="confirmButtonName"> <button type="button" mat-raised-button color="primary"
        (click)="onConfirm()">{{confirmButtonName}}</button> </span>
    <span *ngIf="dismissButtonName"> <button type="button" mat-raised-button color="warn"
        (click)="onDismiss()">{{dismissButtonName}}</button> </span>
  </span>
</div>
